diff --git a/server/include/MouthConfig.h b/server/include/MouthConfig.h
index 0c0516f..90b156c 100644
--- a/server/include/MouthConfig.h
+++ b/server/include/MouthConfig.h
@@ -1,55 +1,51 @@
 /*
-* This file is part of hlrc_server
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc_server
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc_server
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc_server
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #pragma once
 #include <humotion/client/client.h>
 
-class MouthConfig{
+class MouthConfig {
 public:
+	MouthConfig();
+	MouthConfig(std::string symbol);
+	~MouthConfig();
 
-    MouthConfig();
-    MouthConfig(std::string symbol);
-    ~MouthConfig();
-
-    void apply_on_mouth_state(humotion::MouthState *m);
-    void init_by_symbol(std::string symbol);
+	void apply_on_mouth_state(humotion::MouthState* m);
+	void init_by_symbol(std::string symbol);
 
 private:
-
-
-    enum side_t{
-        LEFT=0,
-        CENTER=1,
-        RIGHT=2
-    };
-
-    float opening[3];
-    bool  override[3];
-
+	enum side_t
+	{
+		LEFT = 0,
+		CENTER = 1,
+		RIGHT = 2
+	};
+
+	float opening[3];
+	bool override[3];
 };
-
diff --git a/server/include/ROS/AnimationCallbackWrapperROS.h b/server/include/ROS/AnimationCallbackWrapperROS.h
index e2ae4fa..a21b462 100644
--- a/server/include/ROS/AnimationCallbackWrapperROS.h
+++ b/server/include/ROS/AnimationCallbackWrapperROS.h
@@ -1,88 +1,104 @@
 /*
-* This file is part of hlrc_server
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc_server
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc_server
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc_server
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #pragma once
 #include "hlrc_server/animationAction.h"
 #include "CallbackWrapperROS.h"
 
-//callback handler incoming gaze requests:
-class AnimationCallbackWrapper : CallbackWrapper<hlrc_server::animationAction>{
+// callback handler incoming gaze requests:
+class AnimationCallbackWrapper : CallbackWrapper<hlrc_server::animationAction> {
 protected:
-    hlrc_server::animationFeedback feedback;
-    hlrc_server::animationResult result;
+	hlrc_server::animationFeedback feedback;
+	hlrc_server::animationResult result;
 
 public:
-    AnimationCallbackWrapper(Middleware *mw, std::string scope, std::string name) : CallbackWrapper<hlrc_server::animationAction>(mw, scope, name, boost::bind(&AnimationCallbackWrapper::call, this, _1)){
-        //
-    };
+	AnimationCallbackWrapper(Middleware* mw, std::string scope, std::string name)
+	   : CallbackWrapper<hlrc_server::animationAction>(mw, scope, name,
+	                                                   boost::bind(&AnimationCallbackWrapper::call, this, _1)){
+		   //
+	   };
 
-    void call(const GoalConstPtr &goal){
-        hlrc_server::animationGoalConstPtr request = goal;
-        printf("> incoming animation (%d)\n", (int)request->target);
+	void call(const GoalConstPtr& goal) {
+		hlrc_server::animationGoalConstPtr request = goal;
+		printf("> incoming animation (%d)\n", (int)request->target);
 
-        boost::shared_ptr<Animation> ani(new Animation());
+		boost::shared_ptr<Animation> ani(new Animation());
 
-        //everything is ok, will be cleared on failures
-        feedback.result = 1;
+		// everything is ok, will be cleared on failures
+		feedback.result = 1;
 
-        switch ((int) request->target){
-            case(hlrc_server::animationGoal::IDLE):          ani->target = Animation::IDLE; break;
-            case(hlrc_server::animationGoal::HEAD_NOD):      ani->target = Animation::HEAD_NOD; break;
-            case(hlrc_server::animationGoal::HEAD_SHAKE):    ani->target = Animation::HEAD_SHAKE; break;
-            case(hlrc_server::animationGoal::EYEBLINK_L):    ani->target = Animation::EYEBLINK_L; break;
-            case(hlrc_server::animationGoal::EYEBLINK_R):    ani->target = Animation::EYEBLINK_R; break;
-            case(hlrc_server::animationGoal::EYEBLINK_BOTH): ani->target = Animation::EYEBLINK_BOTH; break;
-            case(hlrc_server::animationGoal::EYEBROWS_RAISE):ani->target = Animation::EYEBROWS_RAISE;break;
-            case(hlrc_server::animationGoal::EYEBROWS_LOWER):ani->target = Animation::EYEBROWS_LOWER;break;
-            default:
-                ani->target = Animation::IDLE;
-                printf("> unhandled animatin target %d\n",(int)request->target);
-                //throw std::runtime_error("AnimationCallback: invalid animation id");
-                feedback.result = 0;
-        }
+		switch ((int)request->target) {
+			case (hlrc_server::animationGoal::IDLE):
+				ani->target = Animation::IDLE;
+				break;
+			case (hlrc_server::animationGoal::HEAD_NOD):
+				ani->target = Animation::HEAD_NOD;
+				break;
+			case (hlrc_server::animationGoal::HEAD_SHAKE):
+				ani->target = Animation::HEAD_SHAKE;
+				break;
+			case (hlrc_server::animationGoal::EYEBLINK_L):
+				ani->target = Animation::EYEBLINK_L;
+				break;
+			case (hlrc_server::animationGoal::EYEBLINK_R):
+				ani->target = Animation::EYEBLINK_R;
+				break;
+			case (hlrc_server::animationGoal::EYEBLINK_BOTH):
+				ani->target = Animation::EYEBLINK_BOTH;
+				break;
+			case (hlrc_server::animationGoal::EYEBROWS_RAISE):
+				ani->target = Animation::EYEBROWS_RAISE;
+				break;
+			case (hlrc_server::animationGoal::EYEBROWS_LOWER):
+				ani->target = Animation::EYEBROWS_LOWER;
+				break;
+			default:
+				ani->target = Animation::IDLE;
+				printf("> unhandled animatin target %d\n", (int)request->target);
+				// throw std::runtime_error("AnimationCallback: invalid animation id");
+				feedback.result = 0;
+		}
 
-       ani->repetitions   = request->repetitions;
-       ani->duration_each = request->duration_each;
-       ani->scale         = request->scale;
+		ani->repetitions = request->repetitions;
+		ani->duration_each = request->duration_each;
+		ani->scale = request->scale;
 
-       printf("> new Animation: %s\n", ani->as_string().c_str());
+		printf("> new Animation: %s\n", ani->as_string().c_str());
 
-       //send to application
-       mw->animation_callback(ani);
+		// send to application
+		mw->animation_callback(ani);
 
-        if (feedback.result){
-            result.result = 1;
-            as_.setSucceeded(result);
-        }else{
-            as_.setAborted(result);
-        }
-
-    }
+		if (feedback.result) {
+			result.result = 1;
+			as_.setSucceeded(result);
+		}
+		else {
+			as_.setAborted(result);
+		}
+	}
 };
-
-
diff --git a/server/include/ROS/CallbackWrapperROS.h b/server/include/ROS/CallbackWrapperROS.h
index b91e2f0..ccd2f59 100644
--- a/server/include/ROS/CallbackWrapperROS.h
+++ b/server/include/ROS/CallbackWrapperROS.h
@@ -1,30 +1,30 @@
 /*
-* This file is part of hlrc_server
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc_server
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc_server
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc_server
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #pragma once
 #include "Middleware.h"
@@ -32,34 +32,36 @@
 #include <actionlib/server/simple_action_server.h>
 #include <actionlib/action_definition.h>
 
-template <typename actionspec> class CallbackWrapper{
-    protected:
-        //NODEHANDLE has to be created before evrything else, otherwise really strange things happen (really!)
-        //ros::NodeHandle nh_;
+template <typename actionspec>
+class CallbackWrapper {
+protected:
+	// NODEHANDLE has to be created before evrything else, otherwise really strange things happen (really!)
+	// ros::NodeHandle nh_;
 
-    public:
-        //get nice macros
-        ACTION_DEFINITION(actionspec);
+public:
+	// get nice macros
+	ACTION_DEFINITION(actionspec);
 
-        CallbackWrapper(Middleware *_mw, std::string scope, std::string _name, boost::function<void (const GoalConstPtr&)> cb = 0) : as_(scope + "/" + _name, cb, false){
-            name = _name;
-            mw = _mw;
-            as_.start();
-        }
+	CallbackWrapper(Middleware* _mw, std::string scope, std::string _name, boost::function<void(const GoalConstPtr&)> cb = 0)
+	   : as_(scope + "/" + _name, cb, false) {
+		name = _name;
+		mw = _mw;
+		as_.start();
+	}
 
-        ~CallbackWrapper(){}
+	~CallbackWrapper() {
+	}
 
+protected:
+	double get_timestamp() {
+		// fetch time
+		struct timespec tp;
+		clock_gettime(CLOCK_REALTIME, &tp);
+		return tp.tv_sec + tp.tv_nsec / 1000000000.0;
+	};
 
-    protected:
-        double get_timestamp(){
-            //fetch time
-            struct timespec tp;
-            clock_gettime(CLOCK_REALTIME, &tp);
-            return tp.tv_sec+tp.tv_nsec/1000000000.0;
-        };
+	actionlib::SimpleActionServer<actionspec> as_;
 
-        actionlib::SimpleActionServer<actionspec> as_;
-
-        std::string name;
-        Middleware *mw;
+	std::string name;
+	Middleware* mw;
 };
diff --git a/server/include/ROS/EmotionCallbackWrapperROS.h b/server/include/ROS/EmotionCallbackWrapperROS.h
index 3e7f4ec..14676b6 100644
--- a/server/include/ROS/EmotionCallbackWrapperROS.h
+++ b/server/include/ROS/EmotionCallbackWrapperROS.h
@@ -1,91 +1,103 @@
 /*
-* This file is part of hlrc_server
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc_server
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc_server
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc_server
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #pragma once
 #include "hlrc_server/emotionstateAction.h"
 #include "CallbackWrapperROS.h"
 
-//callback handler incoming gaze requests:
-class EmotionCallbackWrapper : CallbackWrapper<hlrc_server::emotionstateAction>{
+// callback handler incoming gaze requests:
+class EmotionCallbackWrapper : CallbackWrapper<hlrc_server::emotionstateAction> {
 protected:
-    hlrc_server::emotionstateFeedback feedback;
-    hlrc_server::emotionstateResult result;
-
+	hlrc_server::emotionstateFeedback feedback;
+	hlrc_server::emotionstateResult result;
 
 public:
+	EmotionCallbackWrapper(Middleware* mw, std::string scope, std::string name)
+	   : CallbackWrapper<hlrc_server::emotionstateAction>(mw, scope, name,
+	                                                      boost::bind(&EmotionCallbackWrapper::call, this, _1)){
+		   //
+	   };
 
-    EmotionCallbackWrapper(Middleware *mw, std::string scope, std::string name) : CallbackWrapper<hlrc_server::emotionstateAction>(mw, scope, name, boost::bind(&EmotionCallbackWrapper::call, this, _1)){
-        //
-    };
-
-    void call(const GoalConstPtr &goal){
-        hlrc_server::emotionstateGoalConstPtr request = goal;
-        printf("> incoming emotion (%s = %d)\n", name.c_str(), (int)request->value);
-        feedback.result = 1;
-
-        EmotionState emotion_state;
+	void call(const GoalConstPtr& goal) {
+		hlrc_server::emotionstateGoalConstPtr request = goal;
+		printf("> incoming emotion (%s = %d)\n", name.c_str(), (int)request->value);
+		feedback.result = 1;
 
-        //extract data & copy it to our datatype (might be good when we allow multiple middlewares in the feature)
-        switch ((int)request->value){
-            case(hlrc_server::emotionstateGoal::NEUTRAL):   emotion_state.value = EmotionConfig::NEUTRAL; break;
-            case(hlrc_server::emotionstateGoal::HAPPY):     emotion_state.value = EmotionConfig::HAPPY; break;
-            case(hlrc_server::emotionstateGoal::SAD):       emotion_state.value = EmotionConfig::SAD; break;
-            case(hlrc_server::emotionstateGoal::ANGRY):     emotion_state.value = EmotionConfig::ANGRY; break;
-            case(hlrc_server::emotionstateGoal::SURPRISED): emotion_state.value = EmotionConfig::SURPRISED; break;
-            case(hlrc_server::emotionstateGoal::FEAR):      emotion_state.value = EmotionConfig::FEAR; break;
-            default:
-                printf("> invalid EmotionState value. exiting\n");
-                feedback.result = 0;
-                return;
-        }
+		EmotionState emotion_state;
 
-        emotion_state.duration = request->duration;
+		// extract data & copy it to our datatype (might be good when we allow multiple middlewares in the feature)
+		switch ((int)request->value) {
+			case (hlrc_server::emotionstateGoal::NEUTRAL):
+				emotion_state.value = EmotionConfig::NEUTRAL;
+				break;
+			case (hlrc_server::emotionstateGoal::HAPPY):
+				emotion_state.value = EmotionConfig::HAPPY;
+				break;
+			case (hlrc_server::emotionstateGoal::SAD):
+				emotion_state.value = EmotionConfig::SAD;
+				break;
+			case (hlrc_server::emotionstateGoal::ANGRY):
+				emotion_state.value = EmotionConfig::ANGRY;
+				break;
+			case (hlrc_server::emotionstateGoal::SURPRISED):
+				emotion_state.value = EmotionConfig::SURPRISED;
+				break;
+			case (hlrc_server::emotionstateGoal::FEAR):
+				emotion_state.value = EmotionConfig::FEAR;
+				break;
+			default:
+				printf("> invalid EmotionState value. exiting\n");
+				feedback.result = 0;
+				return;
+		}
 
-        //send to application
-        if (name == "defaultEmotion"){
-            //set default emotion:
-            mw->default_emotion_callback(emotion_state);
-        }else if (name == "currentEmotion"){
-            //set current emotion:
-            mw->current_emotion_callback(emotion_state);
-        }else{
-            printf("> invalid method called '%s'\n",name.c_str());
-            return;
-        }
+		emotion_state.duration = request->duration;
 
-        if (feedback.result){
-            result.result = 1;
-            as_.setSucceeded(result);
-        }else{
-            as_.setAborted(result);
-        }
+		// send to application
+		if (name == "defaultEmotion") {
+			// set default emotion:
+			mw->default_emotion_callback(emotion_state);
+		}
+		else if (name == "currentEmotion") {
+			// set current emotion:
+			mw->current_emotion_callback(emotion_state);
+		}
+		else {
+			printf("> invalid method called '%s'\n", name.c_str());
+			return;
+		}
 
-    }
+		if (feedback.result) {
+			result.result = 1;
+			as_.setSucceeded(result);
+		}
+		else {
+			as_.setAborted(result);
+		}
+	}
 };
-
-
diff --git a/server/include/ROS/GazeCallbackWrapperROS.h b/server/include/ROS/GazeCallbackWrapperROS.h
index 6046381..aa1c101 100644
--- a/server/include/ROS/GazeCallbackWrapperROS.h
+++ b/server/include/ROS/GazeCallbackWrapperROS.h
@@ -1,95 +1,95 @@
 /*
-* This file is part of hlrc_server
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc_server
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc_server
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc_server
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #pragma once
 #include "hlrc_server/gazetargetAction.h"
 #include "CallbackWrapperROS.h"
 
-//callback handler incoming gaze requests:
-class GazeCallbackWrapper : CallbackWrapper<hlrc_server::gazetargetAction>{
+// callback handler incoming gaze requests:
+class GazeCallbackWrapper : CallbackWrapper<hlrc_server::gazetargetAction> {
 protected:
-    hlrc_server::gazetargetFeedback feedback;
-    hlrc_server::gazetargetResult result;
+	hlrc_server::gazetargetFeedback feedback;
+	hlrc_server::gazetargetResult result;
 
 public:
-
-    GazeCallbackWrapper(Middleware *mw, std::string scope, std::string name) : CallbackWrapper<hlrc_server::gazetargetAction>(mw, scope, name, boost::bind(&GazeCallbackWrapper::call, this, _1)){
-        //
-    };
-
-    void call(const GoalConstPtr &goal){
-        feedback.result = 1;
-
-        hlrc_server::gazetargetGoalConstPtr request = goal;
-        /*printf("> incoming gaze (p=%3.1f t=%3.1f r=%3.1f / v=%3.1f) [%s ts=%f]\n",
-               request->pan,
-               request->tilt,
-               request->roll,
-               request->vergence,
-               request->gaze_type==hlrc_server::gazetargetGoal::GAZETARGET_ABSOLUTE?"ABSOLUTE":"RELATIVE",
-               request->gaze_timestamp.toSec()
-        );*/
-
-        humotion::GazeState gaze_state;
-
-        //fill in gaze
-        gaze_state.pan   = request->pan;
-        gaze_state.tilt  = request->tilt;
-        gaze_state.roll  = request->roll;
-
-        //use timestamp from request
-        gaze_state.timestamp.set(request->gaze_timestamp.sec, request->gaze_timestamp.nsec);
-
-        if (request->gaze_type == hlrc_server::gazetargetGoal::GAZETARGET_ABSOLUTE){
-            gaze_state.gaze_type = humotion::GazeState::GAZETYPE_ABSOLUTE;
-        }else{
-            gaze_state.gaze_type = humotion::GazeState::GAZETYPE_RELATIVE;
-        }
-
-        //default:
-        gaze_state.vergence  = request->vergence;
-        gaze_state.pan_offset = request->pan_offset;
-        gaze_state.tilt_offset = request->tilt_offset;
-
-        //processing
-        feedback.result = 1;
-        as_.publishFeedback(feedback);
-
-        //send to application:
-        mw->gaze_callback(gaze_state);
-
-        if (feedback.result){
-            result.result = feedback.result;
-            as_.setSucceeded(result);
-        }else{
-            as_.setAborted(result);
-        }
-
-
-    }
+	GazeCallbackWrapper(Middleware* mw, std::string scope, std::string name)
+	   : CallbackWrapper<hlrc_server::gazetargetAction>(mw, scope, name, boost::bind(&GazeCallbackWrapper::call, this, _1)){
+		   //
+	   };
+
+	void call(const GoalConstPtr& goal) {
+		feedback.result = 1;
+
+		hlrc_server::gazetargetGoalConstPtr request = goal;
+		/*printf("> incoming gaze (p=%3.1f t=%3.1f r=%3.1f / v=%3.1f) [%s ts=%f]\n",
+		       request->pan,
+		       request->tilt,
+		       request->roll,
+		       request->vergence,
+		       request->gaze_type==hlrc_server::gazetargetGoal::GAZETARGET_ABSOLUTE?"ABSOLUTE":"RELATIVE",
+		       request->gaze_timestamp.toSec()
+		);*/
+
+		humotion::GazeState gaze_state;
+
+		// fill in gaze
+		gaze_state.pan = request->pan;
+		gaze_state.tilt = request->tilt;
+		gaze_state.roll = request->roll;
+
+		// use timestamp from request
+		gaze_state.timestamp.set(request->gaze_timestamp.sec, request->gaze_timestamp.nsec);
+
+		if (request->gaze_type == hlrc_server::gazetargetGoal::GAZETARGET_ABSOLUTE) {
+			gaze_state.gaze_type = humotion::GazeState::GAZETYPE_ABSOLUTE;
+		}
+		else {
+			gaze_state.gaze_type = humotion::GazeState::GAZETYPE_RELATIVE;
+		}
+
+		// default:
+		gaze_state.vergence = request->vergence;
+		gaze_state.pan_offset = request->pan_offset;
+		gaze_state.tilt_offset = request->tilt_offset;
+
+		// processing
+		feedback.result = 1;
+		as_.publishFeedback(feedback);
+
+		// send to application:
+		mw->gaze_callback(gaze_state);
+
+		if (feedback.result) {
+			result.result = feedback.result;
+			as_.setSucceeded(result);
+		}
+		else {
+			as_.setAborted(result);
+		}
+	}
 };
